<h1 class="mt3">Pipes <small>Angular</small> </h1>

<div class="row">
    <div class="col">
        <table class="table">

            <thead class="thead-dark">
                <tr>
                    <td>Variable</td>
                    <td>Pipe</td>
                    <td>Salida</td>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td>{{nombre2}}</td>
                    <td>capitalizado</td>
                    <td>{{nombre2 | capitalizado:true}}</td>
                </tr>
                <tr>
                    <td>{{nombre}}</td>
                    <td>uppercase</td>
                    <td>{{nombre | uppercase}}</td>
                </tr>
                <tr>
                    <td>{{nombre}}</td>
                    <td>lowercase</td>
                    <td>{{nombre | lowercase}}</td>
                </tr>
                <tr>
                    <td>{{nombre}}</td>
                    <td>slice:3</td>
                    <td>{{nombre | slice:3}}</td>
                </tr>
                <tr>
                    <td>{{nombre}}</td>
                    <td>slice:0:3</td>
                    <td>{{nombre | slice:0:3}}</td>
                </tr>
                <tr>
                    <td>{{arreglo}}</td>
                    <td>slice:1:5</td>
                    <td>{{arreglo | slice:1:5}}</td>
                </tr>
                <tr>
                    <td>{{PI}}</td>
                    <td>number:'3.0-0'</td>
                    <td>{{PI | number:'3.0-0'}}</td>
                </tr>
                <tr>
                    <td>{{PI}}</td>
                    <td>number:'.0-2'</td>
                    <td>{{PI | number:'.0-2'}}</td>
                </tr>
                <tr>
                    <td>{{procentaje}}</td>
                    <td>percent</td>
                    <td>{{procentaje | percent}}</td>
                </tr>
                <tr>
                    <td>{{procentaje}}</td>
                    <td>percent:'2.2-2'</td>
                    <td>{{procentaje | percent:'2.2-2'}}</td>
                </tr>
                <tr>
                    <td>{{salario}}</td>
                    <td>currency</td>
                    <td>{{salario | currency}}</td>
                </tr>
                <tr>
                    <td>{{salario}}</td>
                    <td>currency:'EUR'</td>
                    <td>{{salario | currency:'EUR'}}</td>
                </tr>
                <tr>
                    <td>{{salario}}</td>
                    <td>currency:'CAD':'symbol-narrow':'.0-0'</td>
                    <td>{{salario | currency:'CAD':'symbol-narrow':'.0-0'}}</td>
                </tr>
                <tr>
                    <td>{{valorPromesa}}</td>
                    <td>async</td>
                    <td>{{valorPromesa | async}}</td>
                </tr>
                <tr>
                    <td>{{fecha}}</td>
                    <td>date</td>
                    <td>{{fecha | date}}</td>
                </tr>
                <tr>
                    <td>{{fecha}}</td>
                    <td>date:'medium'</td>
                    <td>{{fecha | date:'medium'}}</td>
                </tr>
                <tr>
                    <td>{{fecha}}</td>
                    <td>date:'short'</td>
                    <td>{{fecha | date:'short'}}</td>
                </tr>
                <tr>
                    <td>{{fecha}}</td>
                    <td>date:'MMMM - dd'</td>
                    <td>{{fecha | date:'MMMM - dd'}}</td>
                </tr>
                <tr>
                    <td>{{fecha}}</td>
                    <td>
                        date:'MMMM - dd':'':'{{idioma}}'
                        <br>
                        <button (click)="idioma='es'" class="mr-1 btn btn-primary">Español</button>
                        <button (click)="idioma='en'" class="mr-1 btn btn-secondary">Ingles</button>
                        <button (click)="idioma='fr'" class="mr-1 btn btn-success">Frances</button>
                    </td>
                    <td>{{fecha | date:'MMMM - dd':'':idioma}}</td>
                </tr>

                <tr>
                    <td>{{nombre}}</td>
                    <td>
                        contrasena:{{activar}}
                        <br>
                        <button class="btn btn-outline-primary" (click)="activar = !activar">
							Activar/Desactivar
						</button>
                    </td>
                    <td>{{nombre | contrasena:activar}}</td>
                </tr>
            </tbody>
        </table>

        <h4>Slice</h4>
        <ul>
            <li *ngFor="let item of arreglo | slice:5:20">{{item}}</li>
        </ul>

        <h3>JSON</h3>
        <hr>
        <div class="row md-5">
            <div class="col">
                <pre>
					{{heroe | json}}
				</pre>
            </div>
        </div>

        <h3 class="mt-4">DOM seguro</h3>
        <hr>
        <div class="row">
            <div class="col">
                <iframe width="560" height="315" [src]="videoURL | domseguro" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
            </div>
        </div>
    </div>
</div>